# ivy

abstract fun ivy(@DelegatesTo(value = IvyArtifactRepository::class) closure: Closure): IvyArtifactRepository

Adds and configures an Ivy repository. Newly created instance of `IvyArtifactRepository` is passed as an argument to the closure.

#### Return

The added repository.

#### Parameters

closure

The closure to use to configure the repository.

abstract fun ivy(action: Action<in IvyArtifactRepository>): IvyArtifactRepository

Adds and configures an Ivy repository.

#### Return

The added repository.

#### Parameters

action

The action to use to configure the repository.